DatabaseTestCase (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class DatabaseTestCase

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase

- Direct Known Subclasses:
    AsTest, BatchTest, ClientSideCursorTest, CSUnitTest, MetaDataTestCase, ResultSetTest, SAfeTest, SunTest, Tds8Test, TimestampTest, TlsTest, UnitTestBase, XaTest

      public abstract class DatabaseTestCase
      extends TestBase

  Version:
    $Id: DatabaseTestCase.java,v 1.8.6.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    Alin Sinpalean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map` | `typemap`

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseTestCase(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static int` | `compareBytes(byte[] a1, byte[] a2)`
    `protected java.lang.String` | `getLongString(char ch)`
    `protected java.lang.String` | `getLongString(int length)`
    `protected static int` | `getType(java.lang.Object o)`
    `protected static java.util.Map` | `getTypemap()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typemap

          private static java.util.Map typemap

  - ### Constructor Detail

    - #### DatabaseTestCase

          public DatabaseTestCase(java.lang.String name)

  - ### Method Detail

    - #### compareBytes

          static int compareBytes(byte[] a1,
                         byte[] a2)

    - #### getTypemap

          protected static java.util.Map getTypemap()

    - #### getType

          protected static int getType(java.lang.Object o)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getLongString

          protected java.lang.String getLongString(int length)

    - #### getLongString

          protected java.lang.String getLongString(char ch)

Generated on June 8 2013